#!/bin/sh
#
# This is a script for converting the glade-generated interface.c file to a
# smartear-interface.c which will be friendly with gaim's plugin interface.

IN=interface.c
OUT=smartear-interface.c

cat $IN | \
# hookup to config_vbox instead of config
sed -e 's/GLADE_HOOKUP\([^c]*\)config/GLADE_HOOKUP\1config_vbox/' | \
# return config_vbox instead of config
sed -e 's/return.*config;/return config_vbox;/' | \
# remove all references to 'config'
grep -v '\<config\>' | \
# don't show config_vbox
grep -v 'gtk_widget_show.*config_vbox' | \
# remove #include lines
grep -v '^#include' | \
cat > $OUT
